<?php

namespace App\Policies;

use App\Models\Institution\Institution;
use App\Models\User\User;

class InstitutionPolicy
{
    public function viewAny(User $user) {
        return $user->can('institutions.view');
    }

    public function view(User $user, Institution $institution) {
        return $user->can('institutions.view');
    }

    public function create(User $user) {
        return $user->can('institutions.create');
    }

    public function edit(User $user, Institution $institution) {
        return $user->can('institutions.edit');
    }

    public function delete(User $user, Institution $institution) {
        return $user->can('institutions.delete');
    }
}
